Add 'start' and 'end' date options to the default group page settings

Bug #1875492 reported by Robert Lyon on 2020-04-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Lisa Seeto

Bug Description

These settings are missing from admin/groups/settings.php page

Lisa Seeto (lisaseeto) on 2020-05-05
Changed in mahara:
assignee: nobody → Lisa Seeto (lisaseeto)
Lisa Seeto (lisaseeto) on 2020-05-07
Changed in mahara:
status: Confirmed → In Progress
Robert Lyon (robertl-9) wrote :

I think I've just remembered why I didn't add the start / end times to the default group settings.

Unlike all the other settings, which are static, these 2 are dynamic - in the sense that if I set an exact start time, eg 25/05/2020 12:00 and an exact end time, eg 15/06/2020 12:00 this will make sense for groups I make today - but not for groups I make in 12 months from now.

It will mean constant updating if used.

I'm wondering if instead of setting it to an exact date (via a calendar selector) we can set it to a valid strtotime() value that can be turned into a date when creating a group.

For example if we had a site where they only wanted group members to edit groups during a semister we could have starttime = 'first day of sixth month' and endtime = 'last day of tenth month' then it will always make sensible group start/end dates no matter what year it was.

See https://www.php.net/manual/en/datetime.formats.relative.php for other options

Reviewed: https://reviews.mahara.org/10959
Committed: https://git.mahara.org/mahara/mahara/commit/19bd48d34e0fea98ff8337fe5a8db6fa201b02d8
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 19bd48d34e0fea98ff8337fe5a8db6fa201b02d8
Author: Lisa Seeto <email address hidden>
Date: Thu May 7 16:22:08 2020 +1200

Bug 1875492: Add 'start' and 'end' date options to the default group page settings

- added in start and end windows for default settings pieform
- alter date format to consider time as well as date
- alter calendar to accept an existing time as well as existing date
- added lang string for admin view

Change-Id: I4e2f781bf535fdd7f9f132cc0a6f273d7db13d00
Signed-off-by: Lisa Seeto <email address hidden>

Robert Lyon (robertl-9) on 2020-05-12
Changed in mahara:
milestone: none → 20.10.0
status: In Progress → Fix Committed
tags: added: newfeature
Robert Lyon (robertl-9) on 2020-10-22
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers